Bug 1821798 - [OpenStack] disable tx checksum offload for workers
Summary: [OpenStack] disable tx checksum offload for workers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks: 1821799
TreeView+ depends on / blocked
 
Reported: 2020-04-07 16:05 UTC by Martin André
Modified: 2020-07-13 17:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1821005
: 1821799 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:26:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1620 0 None closed Bug 1821798: OpenStack: disable tx checksum offload for workers 2020-08-10 08:40:55 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:26:31 UTC

Comment 3 David Sanz 2020-04-08 13:37:38 UTC
Verified on 4.5.0-0.nightly-2020-04-08-101125

# cat .toolboxrc 
REGISTRY=registry.fedoraproject.org
IMAGE=fedora:31
[root@mrnd-tx-tz6mp-worker-vrs55 ~]# toolbox 
.toolboxrc file detected, overriding defaults...
Trying to pull registry.fedoraproject.org/fedora:31...
Getting image source signatures
Copying blob 00c5bb959822 done  
Copying config 8c2e0da7c4 done  
Writing manifest to image destination
Storing signatures
8c2e0da7c436e45be5ebf2adf26b41d13939190bd186214a4d45c30485071f9f
Error: registry.fedoraproject.org/fedora:31 does not have a label of RUN
Spawning a container 'toolbox-root' with image 'registry.fedoraproject.org/fedora:31'
90da0979d4dd655ed7bf13bee13fa5a1ac54650044afc0d5a6afc60de163b048
toolbox-root
Container started successfully. To exit, type 'exit'.
sh-5.0# yum install -y ethtool
sh-5.0# ethtool -k ens3 | grep tx | grep check
tx-checksumming: off
	tx-checksum-ipv4: off [fixed]
	tx-checksum-ip-generic: off
	tx-checksum-ipv6: off [fixed]
	tx-checksum-fcoe-crc: off [fixed]
	tx-checksum-sctp: off [fixed]

Comment 4 errata-xmlrpc 2020-07-13 17:26:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.